Bug 962251 - (ghc-libxml-sax) Review Request: ghc-libxml-sax - Haskell bindings for the libxml2 SAX interface
Review Request: ghc-libxml-sax - Haskell bindings for the libxml2 SAX interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-dbus
  Show dependency treegraph
 
Reported: 2013-05-12 20:47 EDT by Dan Callaghan
Modified: 2013-08-05 20:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-libxml-sax-0.7.4-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 20:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-05-12 20:47:55 EDT
Spec URL: http://fedorapeople.org/~dcallagh/ghc-dbus/ghc-libxml-sax.spec
SRPM URL: http://fedorapeople.org/~dcallagh/ghc-dbus/ghc-libxml-sax-0.7.4-1.fc18.src.rpm
Description: Haskell bindings for the libxml2 SAX interface.
Fedora Account System Username: dcallagh
Comment 1 Ricky Elrod 2013-06-30 12:43:15 EDT
This doesn't seem to build on rawhide. :(

http://koji.fedoraproject.org/koji/taskinfo?taskID=5559840
Comment 2 Jens Petersen 2013-07-09 06:19:17 EDT
Right, I am afraid it needs to be updated this using latest cabal-rpm
to follow the newly approved Haskell Packaging Guidelines.

Also there is no need to remove the comments created by cabal-rpm. :)
Comment 3 Dan Callaghan 2013-07-16 20:18:44 EDT
(In reply to Jens Petersen from comment #2)
> Also there is no need to remove the comments created by cabal-rpm. :)

Well, I cleaned out some comments/whitespace because I figured I would be maintaining the spec by hand, since cabal-rpm got the description, summary, and BuildRequires wrong. Is there a better way?
Comment 4 Dan Callaghan 2013-07-16 20:22:42 EDT
(In reply to Jens Petersen from comment #2)
> Right, I am afraid it needs to be updated this using latest cabal-rpm
> to follow the newly approved Haskell Packaging Guidelines.

Where are the latest guidelines? This page:

https://fedoraproject.org/wiki/Packaging:Haskell

seems to be out of date since it refers only to cabal2spec, not cabal-rpm, and it doesn't mention the %ghc_lib_build and %ghc_lib_install macros which cabal-rpm has generated...
Comment 6 Jens Petersen 2013-07-17 00:11:13 EDT
Thanks

(In reply to Dan Callaghan from comment #4)
> https://fedoraproject.org/wiki/Packaging:Haskell
> 
> seems to be out of date since it refers only to cabal2spec, not cabal-rpm,
> and it doesn't mention the %ghc_lib_build and %ghc_lib_install macros which
> cabal-rpm has generated...

Right - the new version (already approved by FPC) is

https://fedoraproject.org/wiki/PackagingDrafts/Haskell

but we're still waiting for the Wiki to be updated unfortunately.
Comment 7 Jens Petersen 2013-07-18 01:41:52 EDT
(In reply to Dan Callaghan from comment #3)
> Well, I cleaned out some comments/whitespace because I figured I would be
> maintaining the spec by hand, since cabal-rpm got the description, summary,
> and BuildRequires wrong. Is there a better way?

I assume you mean "xml2-devel"?  Yeah I am planning to improve that.
Eventually I would also like cabal-rpm to support updating of packages
but that is a bit more complicated.

For now you can use cabal-rpm-diff (cblrpm-diff) to compare your
spec file to what cblrpm would generate.  So yeah it is a manual
process - I usually use a merge tool to merge changes from .spec.cblrpm
to .spec.  But removing the comments just adds to the diff. :)
We generally try to stay close to the cblrpm output.

Suggestions for improving the Summary and Description output
are welcome - in this case not sure how cblrpm could do better. :)
Comment 8 Dan Callaghan 2013-07-18 01:53:15 EDT
(In reply to Jens Petersen from comment #7)
> I assume you mean "xml2-devel"?  Yeah I am planning to improve that.
> Eventually I would also like cabal-rpm to support updating of packages
> but that is a bit more complicated.
> 
> For now you can use cabal-rpm-diff (cblrpm-diff) to compare your
> spec file to what cblrpm would generate.  So yeah it is a manual
> process - I usually use a merge tool to merge changes from .spec.cblrpm
> to .spec.  But removing the comments just adds to the diff. :)
> We generally try to stay close to the cblrpm output.

Yes quite right, I have left the comments and whitespace as is to make the diffs easier to read. Thanks for the tip about cabal-rpm-diff too (I was just running cabal-rpm, overwriting the .spec, and then using git diff... ultimately the same thing I guess).

> Suggestions for improving the Summary and Description output
> are welcome - in this case not sure how cblrpm could do better. :)

Yeah I don't think there is any way cabal-rpm could do better with the description/summary, if the upstream one isn't exactly suitable for Fedora.
Comment 9 Jens Petersen 2013-07-21 06:31:21 EDT
(In reply to Jens Petersen from comment #7)
> (In reply to Dan Callaghan from comment #3)
> > cabal-rpm got the [.. C] BuildRequires wrong.
> 
> I assume you mean "xml2-devel"?  Yeah I am planning to improve that.

BTW this is now fix in cabal-rpm.git and should be in the next release.
It now uses repoquery to determine C library devel dependencies.
Comment 10 Jens Petersen 2013-07-21 06:40:52 EDT
Looks fine to me.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-libxml-sax-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/962251-ghc-libxml-
     sax/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 256000 bytes in 17 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-libxml-sax-0.7.4-2.fc20.x86_64.rpm
          ghc-libxml-sax-devel-0.7.4-2.fc20.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-libxml-sax ghc-libxml-sax-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-libxml-sax (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(xml-types-0.3.3-7b14ed2f9343ec2abad5883df6726a1f)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHSxml-types-0.3.3-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    rtld(GNU_HASH)

ghc-libxml-sax-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(libxml-sax-0.7.4-f25ac7062dd49686910dc3e110acca3c)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(xml-types-0.3.3-7b14ed2f9343ec2abad5883df6726a1f)
    ghc-libxml-sax(x86-64)
    pkgconfig(libxml-2.0)



Provides
--------
ghc-libxml-sax:
    ghc(libxml-sax-0.7.4-f25ac7062dd49686910dc3e110acca3c)
    ghc-libxml-sax
    ghc-libxml-sax(x86-64)
    libHSlibxml-sax-0.7.4-ghc7.6.3.so()(64bit)

ghc-libxml-sax-devel:
    ghc-devel(libxml-sax-0.7.4-f25ac7062dd49686910dc3e110acca3c)
    ghc-libxml-sax-devel
    ghc-libxml-sax-devel(x86-64)



Unversioned so-files
--------------------
ghc-libxml-sax: /usr/lib64/ghc-7.6.3/libxml-sax-0.7.4/libHSlibxml-sax-0.7.4-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/libxml-sax/0.7.4/libxml-sax-0.7.4.tar.gz :
  CHECKSUM(SHA256) this package     : 1f304312388110eed6fafd91cdf7942805e8d09f01b5661a444599d57bcd7ded
  CHECKSUM(SHA256) upstream package : 1f304312388110eed6fafd91cdf7942805e8d09f01b5661a444599d57bcd7ded


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 962251


Package is APPROVED.
Comment 11 Dan Callaghan 2013-07-21 22:40:02 EDT
New Package SCM Request
=======================
Package Name: ghc-libxml-sax
Short Description: Haskell bindings for the libxml2 SAX interface
Owners: dcallagh
Branches: f18 f19
InitialCC:
Comment 12 Gwyn Ciesla 2013-07-22 05:55:44 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-07-22 19:30:14 EDT
ghc-libxml-sax-0.7.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-libxml-sax-0.7.4-2.fc18
Comment 14 Fedora Update System 2013-07-22 19:30:51 EDT
ghc-libxml-sax-0.7.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-libxml-sax-0.7.4-2.fc19
Comment 15 Fedora Update System 2013-07-23 23:21:55 EDT
ghc-libxml-sax-0.7.4-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-08-05 20:12:58 EDT
ghc-libxml-sax-0.7.4-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-08-05 20:18:30 EDT
ghc-libxml-sax-0.7.4-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.